## r-cran-oaqc 1.0

=== DESCRIPTION ===
Package: oaqc
Title: Computation of the Orbit-Aware Quad Census
Version: 1.0
Authors@R: c(person("Mark", "Ortmann", email = "mark.ortmann@uni.kn", role = c("aut", "cre")),
  person("Felix", "Schoenenberger", role = c("aut")))
Description: Implements the efficient algorithm by Ortmann and Brandes (2017)
  <doi:10.1007/s41109-017-0027-2> to compute the orbit-aware frequency distribution of induced and non-induced quads, i.e. subgraphs of size four. Given an edge matrix, data frame, or a graph object (e.g., 'igraph'), the orbit-aware counts are computed respective each of the edges and nodes.
Depends: R (>= 3.4)
Suggests: igraph, knitr, rmarkdown
License: GPL-3
Encoding: UTF-8
LazyData: true
NeedsCompilation: yes
SystemRequirements: C++11
RoxygenNote: 6.0.1
VignetteBuilder: knitr
Packaged: 2017-11-14 13:04:59 UTC; ortmann
Author: Mark Ortmann [aut, cre],
  Felix Schoenenberger [aut]
Maintainer: Mark Ortmann <mark.ortmann@uni.kn>
Repository: CRAN
Date/Publication: 2017-11-14 15:17:21 UTC

=== debian/changelog ===
r-cran-oaqc (1.0-2) unstable; urgency=medium

  * Soure-only upload.

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2024 10:58:22 +0100

r-cran-oaqc (1.0-1) unstable; urgency=medium

  * Initial release (closes: #1061585)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 23:33:30 +0100

=== debian/control ===
Source: r-cran-oaqc
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-oaqc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-oaqc.git
Homepage: https://cran.r-project.org/package=oaqc
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-oaqc
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R computation of the orbit-aware quad census
 Implements the efficient algorithm by Ortmann and Brandes (2017)
 <doi:10.1007/s41109-017-0027-2> to compute the orbit-aware frequency
 distribution of induced and non-induced quads, i.e. subgraphs of size
 four. Given an edge matrix, data frame, or a graph object
 (e.g., 'igraph'), the orbit-aware counts are computed respective each
 of the edges and nodes.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-igraph,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/oaqc_([-\d.]*)\.tar\.gz

## r-cran-oaqc 2.0.0

=== DESCRIPTION ===
Package: oaqc
Title: Computation of the Orbit-Aware Quad Census
Version: 2.0.0
Authors@R: 
    c(person("Mark", "Ortmann", role = c("aut")),
      person("Felix", "Schoenenberger", role = c("aut")),
      person("David", "Schoch", , "david@schochastics.net", role = c("aut","cre"),
           comment = c(ORCID = "0000-0003-2952-4812"))
    )
Maintainer: David Schoch <david@schochastics.net>
Description: Implements the efficient algorithm by Ortmann and Brandes (2017)
  <doi:10.1007/s41109-017-0027-2> to compute the orbit-aware frequency distribution of induced and non-induced quads, i.e. subgraphs of size four. Given an edge matrix, data frame, or a graph object (e.g., 'igraph'), the orbit-aware counts are computed respective each of the edges and nodes.
URL: https://github.com/schochastics/oaqc
BugReports: https://github.com/schochastics/oaqc/issues
Depends: R (>= 3.4)
Suggests: igraph, knitr, rmarkdown, testthat (>= 3.0.0)
License: GPL (>= 3)
Encoding: UTF-8
NeedsCompilation: yes
RoxygenNote: 7.3.2
VignetteBuilder: knitr
Config/testthat/edition: 3
Packaged: 2024-10-07 09:19:36 UTC; david
Author: Mark Ortmann [aut],
  Felix Schoenenberger [aut],
  David Schoch [aut, cre] (<https://orcid.org/0000-0003-2952-4812>)
Repository: CRAN
Date/Publication: 2024-10-07 11:00:02 UTC

=== debian/changelog ===
r-cran-oaqc (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Thu, 10 Oct 2024 11:26:41 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-oaqc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-oaqc.git
 Homepage: https://cran.r-project.org/package=oaqc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_installdocs:
	dh_installdocs
	# instead of fixing MathJax use by patch (use-local-mathjax) patch files using by sed after installation
	# this prevents the need to adapt the patch when upstream changes the files
	for html in `find debian -name "*.html"` ; do \
	    sed -i 's#\(<script type="text/javascript" src="\)https://cdn\..*/mathjax/.*/MathJax.js\(?config=.*">\)#\1file:///usr/share/javascript/mathjax/MathJax.js\2#' $${html} ; \
	done

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-igraph,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr
